/*****************************************************************************
*
* Atmel Corporation
*
* File              : crc.h
* Compiler          : IAR EWAAVR 2.28a/3.10c
* Revision          : $Revision: 2.0 $
* Date              : $Date: Wednesday, February 15, 2006 09:52:02 UTC $
* Updated by        : $Author: raapeland $
*
* Support mail      : avr@atmel.com
*
* Supported devices : All devices with Bootloader Capabilities 
*                     , and at least 1-KB SRAM can be used.
*                     The example is written for  ATmega8
*                                                 ATmega16
*                                                 ATmega162
*                                                 ATmega169
*                                                 ATmega32
*                                                 ATmega64
*                                                 ATmega128
*
* AppNote           : AVR231 - AES Bootloader
*
*
* Description:	      CRC calculation routine
*
*****************************************************************************/

#ifndef CRC_H
#define CRC_H

//uint16_t crc16_up(uint16_t crc, uint8_t a);
//unsigned int CRC(unsigned int crc, unsigned char ch);
extern unsigned int CRC(unsigned int crc, unsigned char ch);


#endif  // CRC_H
